## siril 0.9.0~rc1

=== src/Makefile ===
# Makefile.in generated by automake 1.11.6 from Makefile.am.
# src/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
# Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__make_dryrun = \
  { \
    am__dry=no; \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        echo 'am--echo: ; @echo "AM"  OK' | $(MAKE) -f - 2>/dev/null \
          | grep '^AM OK$$' >/dev/null || am__dry=yes;; \
      *) \
        for am__flg in $$MAKEFLAGS; do \
          case $$am__flg in \
            *=*|--*) ;; \
            *n*) am__dry=yes; break;; \
          esac; \
        done;; \
    esac; \
    test $$am__dry = yes; \
  }
pkgdatadir = $(datadir)/siril
pkgincludedir = $(includedir)/siril
pkglibdir = $(libdir)/siril
pkglibexecdir = $(libexecdir)/siril
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
bin_PROGRAMS = siril$(EXEEXT)
#am__append_1 = opencv.cpp opencv.h 
#am__append_2 = $(OPENCV_LIBS)
subdir = src
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in TODO
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__installdirs = "$(DESTDIR)$(bindir)"
PROGRAMS = $(bin_PROGRAMS)
am__siril_SOURCES_DIST = siril.c main.c command.c command.h utils.c \
	siril.h proto.h callbacks.c callbacks.h registration.c \
	registration.h registration_preview.c stacking.c stacking.h \
	fft.c fft.h colors.c colors.h demosaicing.c demosaicing.h \
	sequence.c sequence_list.c conversion.c single_image.c \
	single_image.h histogram.c histogram.h ser.c ser.h avi.c avi.h \
	films.c films.h image_formats_libraries.c \
	image_formats_internal.c image_format_fits.c pave.c \
	transform.c io_wave.c reconstr.c Def_Math.h Def_Wavelet.h \
	Def_Mem.h PSF.c PSF.h PSF_list.c PSF_list.h star_finder.c \
	star_finder.h gradient.c gradient.h compositing.c \
	compositing.h filters.c filters.h opencv.cpp opencv.h
#am__objects_1 = opencv.$(OBJEXT)
am_siril_OBJECTS = siril.$(OBJEXT) main.$(OBJEXT) command.$(OBJEXT) \
	utils.$(OBJEXT) callbacks.$(OBJEXT) registration.$(OBJEXT) \
	registration_preview.$(OBJEXT) stacking.$(OBJEXT) \
	fft.$(OBJEXT) colors.$(OBJEXT) demosaicing.$(OBJEXT) \
	sequence.$(OBJEXT) sequence_list.$(OBJEXT) \
	conversion.$(OBJEXT) single_image.$(OBJEXT) \
	histogram.$(OBJEXT) ser.$(OBJEXT) avi.$(OBJEXT) \
	films.$(OBJEXT) image_formats_libraries.$(OBJEXT) \
	image_formats_internal.$(OBJEXT) image_format_fits.$(OBJEXT) \
	pave.$(OBJEXT) transform.$(OBJEXT) io_wave.$(OBJEXT) \
	reconstr.$(OBJEXT) PSF.$(OBJEXT) PSF_list.$(OBJEXT) \
	star_finder.$(OBJEXT) gradient.$(OBJEXT) compositing.$(OBJEXT) \
	filters.$(OBJEXT) $(am__objects_1)
siril_OBJECTS = $(am_siril_OBJECTS)
am__DEPENDENCIES_1 =
#am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
siril_DEPENDENCIES = $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
	$(am__DEPENDENCIES_1) $(am__DEPENDENCIES_2)
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
	-o $@
SOURCES = $(siril_SOURCES)
DIST_SOURCES = $(am__siril_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/vinvin/debian-git/siril/missing --run aclocal-1.11
AMTAR = $${TAR-tar}
AUTOCONF = ${SHELL} /home/vinvin/debian-git/siril/missing --run autoconf
AUTOHEADER = ${SHELL} /home/vinvin/debian-git/siril/missing --run autoheader
AUTOMAKE = ${SHELL} /home/vinvin/debian-git/siril/missing --run automake-1.11
AWK = mawk
CC = gcc
CCDEPMODE = depmode=none
CFITSIO_CFLAGS =  
CFITSIO_LIBS = -lcfitsio -lpthread  
CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -fopenmp
CPP = gcc -E
CPPFLAGS = -D_FORTIFY_SOURCE=2
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security -fopenmp
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FFMS2_CFLAGS =  
FFMS2_LIBS = -lffms2  
FFTW_CFLAGS =  
FFTW_LIBS = -lfftw3 -lm  
GREP = /bin/grep
GSL_CFLAGS =  
GSL_LIBS = -lgsl -lgslcblas -lm  
GTK_CFLAGS = -pthread -I/usr/include/gtk-3.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/freetype2 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/libpng12  
GTK_LIBS = -lgtk-3 -lgdk-3 -latk-1.0 -lgio-2.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo-gobject -lpango-1.0 -lcairo -lgobject-2.0 -lglib-2.0  
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LDFLAGS = -Wl,-z,relro
LIBCONFIGXX_CFLAGS =  
LIBCONFIGXX_LIBS = -lconfig++  
LIBOBJS = 
LIBPNG_CFLAGS = -I/usr/include/libpng12  
LIBPNG_LIBS = -lpng12  
LIBRAW_CFLAGS = -I/usr/include/libraw  
LIBRAW_LIBS = -fopenmp -lraw -lstdc++ -llcms2  
LIBS = -ljpeg  -lm
LIBTIFF_CFLAGS =  
LIBTIFF_LIBS = -ltiff  
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/vinvin/debian-git/siril/missing --run makeinfo
MKDIR_P = /bin/mkdir -p
OBJEXT = o
OPENCV_CFLAGS = 
OPENCV_LIBS = 
OPENMP_CFLAGS = -fopenmp
PACKAGE = siril
PACKAGE_BUGREPORT = 
PACKAGE_NAME = siril
PACKAGE_STRING = siril 0.9 beta
PACKAGE_TARNAME = siril
PACKAGE_URL = 
PACKAGE_VERSION = 0.9 beta
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
SET_MAKE = 
SHELL = /bin/bash
STRIP = 
VERSION = 0.9 beta
abs_builddir = /home/vinvin/debian-git/siril/src
abs_srcdir = /home/vinvin/debian-git/siril/src
abs_top_builddir = /home/vinvin/debian-git/siril
abs_top_srcdir = /home/vinvin/debian-git/siril
ac_ct_CC = gcc
ac_ct_CXX = g++
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build_alias = x86_64-linux-gnu
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host_alias = 
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${prefix}/share/info
install_sh = ${SHELL} /home/vinvin/debian-git/siril/install-sh
libdir = ${prefix}/lib/x86_64-linux-gnu
libexecdir = ${prefix}/lib/x86_64-linux-gnu
localedir = ${datarootdir}/locale
localstatedir = /var
mandir = ${prefix}/share/man
mkdir_p = /bin/mkdir -p
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /usr
program_transform_name = s,x,x,
psdir = ${docdir}
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = /etc
target_alias = 
top_build_prefix = ../
top_builddir = ..
top_srcdir = ..
AM_CFLAGS = -Wall -export-dynamic
AM_CPPFLAGS = -DPACKAGE_DATA_DIR='"$(datadir)/${PACKAGE}"' -DPACKAGE_DOC_DIR='"${datarootdir}/doc/${PACKAGE}"' $(GTK_CFLAGS) $(LIBTIFF_CFLAGS) $(LIBPNG_CFLAGS) $(FFTW_CFLAGS) $(CFITSIO_CFLAGS) $(FFMPEG_CFLAGS) $(GSL_CFLAGS) $(FFMS2_CFLAGS) $(LIBCONFIGXX_CFLAGS)
siril_SOURCES = siril.c main.c command.c command.h utils.c siril.h \
	proto.h callbacks.c callbacks.h registration.c registration.h \
	registration_preview.c stacking.c stacking.h fft.c fft.h \
	colors.c colors.h demosaicing.c demosaicing.h sequence.c \
	sequence_list.c conversion.c single_image.c single_image.h \
	histogram.c histogram.h ser.c ser.h avi.c avi.h films.c \
	films.h image_formats_libraries.c image_formats_internal.c \
	image_format_fits.c pave.c transform.c io_wave.c reconstr.c \
	Def_Math.h Def_Wavelet.h Def_Mem.h PSF.c PSF.h PSF_list.c \
	PSF_list.h star_finder.c star_finder.h gradient.c gradient.h \
	compositing.c compositing.h filters.c filters.h \
	$(am__append_1)
siril_LDADD = $(GTK_LIBS) $(LIBRAW_LIBS) $(LIBTIFF_LIBS) \
	$(LIBPNG_LIBS) $(FFTW_LIBS) $(CFITSIO_LIBS) $(FFMPEG_LIBS) \
	$(GSL_LIBS) $(FFMS2_LIBS) $(LIBCONFIGXX_LIBS) $(am__append_2)
#AM_CXXFLAGS = -Wall -export-dynamic
siril_LINK = $(LINK)
#siril_LINK = $(CXXLINK)
all: all-am

.SUFFIXES:
.SUFFIXES: .c .cpp .o .obj
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --gnu src/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):
install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
	if test -n "$$list"; then \
	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
	fi; \
	for p in $$list; do echo "$$p $$p"; done | \
	sed 's/$(EXEEXT)$$//' | \
	while read p p1; do if test -f $$p; \
	  then echo "$$p"; echo "$$p"; else :; fi; \
	done | \
	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
	sed 'N;N;N;s,\n, ,g' | \
	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
	    else { print "f", $$3 "/" $$4, $$1; } } \
	  END { for (d in files) print "f", d, files[d] }' | \
	while read type dir files; do \
	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
	    test -z "$$files" || { \
	      echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \

## siril 0.9.0~beta

=== debian/changelog ===
siril (0.9.0~beta-1) unstable; urgency=low

  * New package. Closes: #764549

 --  Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Wed, 12 Nov 2014 00:24:18 +0100

=== debian/control ===
Source: siril
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>
Section: science
Priority: optional
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/debian-astro/packages/siril.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/siril.git
Homepage: http://free-astro.vinvin.tf/index.php/Siril
Build-Depends: autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               libcfitsio3-dev,
               libconfig++-dev,
               libffms2-dev,
               libfftw3-dev,
               libgsl0-dev,
               libgtk-3-dev,
               libjpeg-dev,
               libopencv-dev,
               libpng-dev,
               libraw-dev,
               libtiff5-dev

Package: siril
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: astronomical image processing tool
 Siril is an image processing tool specially tailored for noise reduction and
 improving the signal/noise ratio of an image from multiple captures, as
 required in astronomy. Siril can align automatically or manually, stack and
 enhance pictures from various file formats, even images sequences (movies and
 SER files).

## siril 0.9.0~rc1

=== debian/changelog ===
siril (0.9.0~rc1-1build1) wily; urgency=medium

  * No-change rebuild against libconfig++9v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 08 Aug 2015 05:42:30 +0000

siril (0.9.0~rc1-1) unstable; urgency=medium

  * New upstream version.

 -- Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>  Sat, 27 Dec 2014 23:32:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: siril
-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>
 Section: science
 Priority: optional

## siril 0.9.0

=== debian/changelog ===
siril (0.9.0-1ubuntu1) xenial; urgency=medium

  * Patch to fix build failure due to changed "gsl_multifit_fdfsolver" API.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 17:04:52 +0000

siril (0.9.0-1build1) xenial; urgency=medium

  * Rebuild against new gsl. Update references to libgsl0-dev to libgsl-
    dev.

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 10 Nov 2015 15:08:15 +0000

siril (0.9.0-1) unstable; urgency=low

  * New upstream stable version.
  * Build-depend on libcfitsio-dev instead of libcfitsio3-dev. Closes: #785246
  * [Ole Streicher] Correct author of previous entry.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Tue, 27 Oct 2015 00:10:16 +0100

## siril 0.9.1

=== debian/changelog ===
siril (0.9.1-2) unstable; urgency=medium

  * Actually fix the bug in debian, it was mistakenly done only upstream
    before. Closes: #805834

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Fri, 04 Dec 2015 01:45:32 +0100

siril (0.9.1-1) unstable; urgency=medium

  * New upstream stable version.
  * Added support for GSL 2. Closes: #805834

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Mon, 30 Nov 2015 13:28:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: siril
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>
 Section: science
 Priority: optional
@@ -11,13 +10,12 @@
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
-               libcfitsio3-dev,
+               libcfitsio-dev,
                libconfig++-dev,
                libffms2-dev,
                libfftw3-dev,
-               libgsl0-dev,
+               libgsl-dev,
                libgtk-3-dev,
-               libjpeg-dev,
                libopencv-dev,
                libpng-dev,
                libraw-dev,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf,autotools_dev
	
override_dh_installchangelogs:                                                                                                                                 
	dh_installchangelogs

## siril 0.9.3

=== debian/changelog ===
siril (0.9.3-1build1) yakkety; urgency=medium

  * No-change rebuild for cfitsio soname change.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 29 Apr 2016 18:20:28 +0000

siril (0.9.3-1) unstable; urgency=medium

  * New upstream stable version.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Tue, 12 Apr 2016 15:28:14 +0200

siril (0.9.2-1) unstable; urgency=medium

  * New upstream stable version.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Mon, 04 Apr 2016 01:16:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>
 Section: science
 Priority: optional
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/debian-astro/packages/siril.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/siril.git 
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/siril.git
-Homepage: http://free-astro.vinvin.tf/index.php/Siril
+Homepage: https://free-astro.org/index.php/Siril
 Build-Depends: autotools-dev,
                debhelper (>= 9),
                dh-autoreconf,
@@ -19,7 +19,8 @@
                libopencv-dev,
                libpng-dev,
                libraw-dev,
-               libtiff5-dev
+               libtiff5-dev,
+               libgif-dev
 
 Package: siril
 Architecture: any

## siril 0.9.4

=== debian/changelog ===
siril (0.9.4-2) unstable; urgency=medium

  * Added appdata.xml. 

 -- Cyril Richard <lock042@gmail.com>  Mon, 29 Aug 2016 13:36:19 +0200

siril (0.9.4-1) unstable; urgency=medium

  * New upstream stable version.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Wed, 17 Aug 2016 13:50:11 +0200

siril (0.9.4~beta2-1) unstable; urgency=medium

  * New upstream beta version.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Mon, 8 Aug 2016 15:10:31 +0200

siril (0.9.4~beta1-1) unstable; urgency=medium

  * New upstream beta version.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Mon, 18 Jul 2016 01:56:24 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: siril
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
-Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>
+Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 3.9.7
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/siril.git 
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/siril.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/siril.git
 Homepage: https://free-astro.org/index.php/Siril
 Build-Depends: autotools-dev,
+               intltool,
                debhelper (>= 9),
                dh-autoreconf,
                libcfitsio-dev,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with autoreconf,autotools_dev

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_autoreconf:
	intltoolize -f -c
	autoreconf -fi -Wno-portability

=== debian/watch ===
version=3
http://free-astro.org/index.php/Siril:releases https://free-astro.org/download/siril-(.+)\.tar\.bz2

## siril 0.9.5

=== deps/kplot/Makefile ===
.SUFFIXES: .3 .3.html

CFLAGS		?= -g -W -Wall -Wstrict-prototypes -Wno-unused-parameter -Wwrite-strings
#If you're on Mac OSX without XQuarts, you'll need /usr/X11 instead of /opt/X11!
CPPFLAGS	+= `pkg-config --cflags --silence-errors cairo || echo '-I/opt/X11/include/cairo'`
VERSION		= 0.1.14
LDADD		= `pkg-config --libs --silence-errors cairo || echo '-L/opt/X11/lib -lcairo'`
#If you're on GNU/Linux, you'll need to uncomment this.
LDADD		+= `pkg-config --libs libbsd`
VERSIONS	= version_0_1_4.xml \
		  version_0_1_5.xml \
		  version_0_1_6.xml \
		  version_0_1_7.xml \
		  version_0_1_8.xml \
		  version_0_1_9.xml \
		  version_0_1_10.xml \
		  version_0_1_11.xml \
		  version_0_1_12.xml \
		  version_0_1_13.xml \
		  version_0_1_14.xml
EXAMPLES	= example0 \
		  example1 \
		  example2 \
		  example3 \
		  example4 \
		  example5 \
		  example6 \
		  example7 \
		  example8 \
		  example9 \
		  example10 \
		  example11 \
		  example12
PNGS		= example0.png \
		  example1.png \
		  example2.png \
		  example3.png \
		  example4.png \
		  example5.png \
		  example6.png \
		  example7.png \
		  example8.png \
		  example9.png \
		  example10.png \
		  example11.png \
		  example12.png
SRCS		= Makefile \
		  compat.post.h \
		  compat.pre.h \
		  compat.sh \
		  colours.c \
		  extern.h \
		  kplot.h \
		  array.c \
		  border.c \
		  bucket.c \
		  buffer.c \
		  draw.c \
		  example0.c \
		  example1.c \
		  example2.c \
		  example3.c \
		  example4.c \
		  example5.c \
		  example6.c \
		  example7.c \
		  example8.c \
		  example9.c \
		  example10.c \
		  example11.c \
		  example12.c \
		  grid.c \
		  hist.c \
		  label.c \
		  kdata.c \
		  kplot.c \
		  margin.c \
		  mean.c \
		  plotctx.c \
		  reallocarray.c \
		  stddev.c \
		  test-reallocarray.c \
		  tic.c \
		  vector.c
OBJS		= array.o \
		  border.o \
		  bucket.o \
		  buffer.o \
		  colours.o \
		  draw.o \
		  grid.o \
		  hist.o \
		  label.o \
		  kdata.o \
		  kplot.o \
		  margin.o \
		  mean.o \
		  plotctx.o \
		  reallocarray.o \
		  stddev.o \
		  tic.o \
		  vector.o
PREFIX		= /usr
HTMLS		= index.html \
		  man/kdata_array_alloc.3.html \
		  man/kdata_array_fill.3.html \
		  man/kdata_bucket_alloc.3.html \
		  man/kdata_bucket_add.3.html \
		  man/kdata_buffer_alloc.3.html \
		  man/kdata_buffer_copy.3.html \
		  man/kdata_destroy.3.html \
		  man/kdata_get.3.html \
		  man/kdata_hist_alloc.3.html \
		  man/kdata_hist_add.3.html \
		  man/kdata_mean_alloc.3.html \
		  man/kdata_mean_attach.3.html \
		  man/kdata_pmfmean.3.html \
		  man/kdata_pmfstddev.3.html \
		  man/kdata_pmfvar.3.html \
		  man/kdata_stddev_alloc.3.html \
		  man/kdata_stddev_attach.3.html \
		  man/kdata_vector_append.3.html \
		  man/kdata_vector_alloc.3.html \
		  man/kdata_xmax.3.html \
		  man/kdata_xmean.3.html \
		  man/kdata_xmin.3.html \
		  man/kdata_xstddev.3.html \
		  man/kdatacfg_defaults.3.html \
		  man/kplot.3.html \
		  man/kplot_alloc.3.html \
		  man/kplot_attach_data.3.html \
		  man/kplot_attach_datas.3.html \
		  man/kplot_attach_smooth.3.html \
		  man/kplot_detach.3.html \
		  man/kplot_draw.3.html \
		  man/kplot_free.3.html \
		  man/kplot_get_datacfg.3.html \
		  man/kplot_get_plotcfg.3.html \
	 	  man/kplotcfg_defaults.3.html
MANS		= man/kdata_array_alloc.3 \
		  man/kdata_array_fill.3 \
		  man/kdata_bucket_alloc.3 \
		  man/kdata_bucket_add.3 \
		  man/kdata_buffer_alloc.3 \
		  man/kdata_buffer_copy.3 \
		  man/kdata_destroy.3 \
		  man/kdata_get.3 \
		  man/kdata_hist_alloc.3 \
		  man/kdata_hist_add.3 \
		  man/kdata_mean_alloc.3 \
		  man/kdata_mean_attach.3 \
		  man/kdata_pmfmean.3 \
		  man/kdata_pmfstddev.3 \
		  man/kdata_pmfvar.3 \
		  man/kdata_stddev_alloc.3 \
		  man/kdata_stddev_attach.3 \
		  man/kdata_vector_append.3 \
		  man/kdata_vector_alloc.3 \
		  man/kdata_xmax.3 \
		  man/kdata_xmean.3 \
		  man/kdata_xmin.3 \
		  man/kdata_xstddev.3 \
		  man/kdatacfg_defaults.3 \
		  man/kplot.3 \
		  man/kplot_alloc.3 \
		  man/kplot_attach_data.3 \
		  man/kplot_attach_datas.3 \
		  man/kplot_attach_smooth.3 \
		  man/kplot_detach.3 \
		  man/kplot_draw.3 \
		  man/kplot_free.3 \
		  man/kplot_get_datacfg.3 \
		  man/kplot_get_plotcfg.3 \
	 	  man/kplotcfg_defaults.3

all: libkplot.a

install: all

uninstall: ;

www: $(HTMLS) $(PNGS) kplot.tgz kplot.tgz.sha512

installwww: www
	mkdir -p $(PREFIX)
	mkdir -p $(PREFIX)/snapshots
	install -m 0444 $(PNGS) $(HTMLS) index.css $(PREFIX)
	install -m 0444 kplot.tgz $(PREFIX)/snapshots/kplot-$(VERSION).tgz
	install -m 0444 kplot.tgz.sha512 $(PREFIX)/snapshots/kplot-$(VERSION).tgz.sha512
	install -m 0444 kplot.tgz $(PREFIX)/snapshots
	install -m 0444 kplot.tgz.sha512 $(PREFIX)/snapshots

$(EXAMPLES): libkplot.a

EXAMPLE_LIBS = libkplot.a $(LDADD) -lm 

example0: example0.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example1: example1.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example2: example2.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example3: example3.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example4: example4.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example5: example5.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example6: example6.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example7: example7.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example8: example8.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example9: example9.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example10: example10.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example11: example11.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example12: example12.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example0.png: example0
	./example0

example1.png: example1
	./example1

example2.png: example2
	./example2

example3.png: example3
	./example3

example4.png: example4
	./example4

example5.png: example5
	./example5

example6.png: example6
	./example6

example7.png: example7
	./example7

example8.png: example8
	./example8

example9.png: example9
	./example9

example10.png: example10
	./example10

example11.png: example11
	./example11

example12.png: example12
	./example12

libkplot.a: $(OBJS)
	$(AR) rs $@ $(OBJS)

$(OBJS): kplot.h compat.h extern.h

compat.h: compat.pre.h compat.post.h
	( cat compat.pre.h ; \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" sh compat.sh reallocarray ; \
	  cat compat.post.h ; ) >$@

.3.3.html:
	mandoc -Thtml -Oman=%N.%S.html $< >$@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

index.html: index.xml $(VERSIONS)
	sblg -t index.xml -o- $(VERSIONS) | sed "s!@VERSION@!$(VERSION)!g" >$@

kplot.tgz.sha512: kplot.tgz
	openssl dgst -sha512 kplot.tgz >$@

kplot.tgz:
	mkdir -p .dist/kplot-$(VERSION)
	mkdir -p .dist/kplot-$(VERSION)/man
	cp $(SRCS) .dist/kplot-$(VERSION)
	cp $(MANS) .dist/kplot-$(VERSION)/man
	(cd .dist && tar zcf ../$@ kplot-$(VERSION))
	rm -rf .dist

clean:
	rm -f libkplot.a compat.h test-reallocarray 
	rm -f $(EXAMPLES)
	rm -rf *.dSYM
	rm -f $(OBJS)
	rm -f $(HTMLS) $(PNGS)
	rm -f kplot.tgz kplot.tgz.sha512

=== debian/changelog ===
siril (0.9.5-2) unstable; urgency=medium

  * Fix KFreeBSD compilation.

 -- Cyril Richard <lock042@gmail.com>  Wed, 14 Dec 2016 16:18:14 +0100

siril (0.9.5-1) unstable; urgency=medium

  * New upstream stable version.

 -- Vincent Hourdin <debian-siril@free-astro.vinvin.tf>  Tue, 29 Nov 2016 01:29:00 +0100

siril (0.9.4-3) unstable; urgency=medium

  * Conforming to latest version of the specifications.

 -- Cyril Richard <lock042@gmail.com>  Wed, 31 Aug 2016 09:47:01 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,11 @@
                libpng-dev,
                libraw-dev,
                libtiff5-dev,
-               libgif-dev
+               libavformat-dev,
+               libavutil-dev,
+               libavcodec-dev,
+               libswscale-dev,
+               libswresample-dev
 
 Package: siril
 Architecture: any

=== debian/watch ===
version=3
http://free-astro.org/index.php/Siril:releases https://free-astro.org/download/siril-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## siril 0.9.6

=== debian/changelog ===
siril (0.9.6-1) unstable; urgency=medium

  * New upstream stable version.

 -- Cyril Richard <lock042@gmail.com>  Tue, 20 Jun 2017 14:15:56 +0200

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,8 @@
 
 Package: siril
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, librsvg2-2
+Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and
  improving the signal/noise ratio of an image from multiple captures, as

## siril 0.9.7

=== debian/changelog ===
siril (0.9.7-1) unstable; urgency=medium

  * New upstream stable version.

 -- Cyril Richard <lock042@gmail.com>  Sat, 01 Jul 2017 16:33:02 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/siril.git
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/siril.git
 Homepage: https://free-astro.org/index.php/Siril

=== debian/watch ===
version=3
https://free-astro.org/index.php/Siril:releases https://free-astro.org/download/siril-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## siril 0.9.8

=== debian/changelog ===
siril (0.9.8-3) unstable; urgency=medium

  * Fixes date in copyright for appdata
  * Update Vcs url in deb/control

 -- Cyril Richard <lock042@gmail.com>  Thu, 08 Feb 2018 14:00:50 +0100

siril (0.9.8-2) unstable; urgency=medium

  * Fixes deb/share/metainfo/appdata.xml file that was broken

 -- Cyril Richard <lock042@gmail.com>  Fri, 02 Feb 2018 14:26:59 +0100

siril (0.9.8-1) unstable; urgency=medium

  * New upstream stable version

 -- Cyril Richard <lock042@gmail.com>  Wed, 31 Jan 2018 09:29:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,12 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.0.1
-Vcs-Git: https://anonscm.debian.org/git/debian-astro/packages/siril.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-astro/packages/siril.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://free-astro.org/index.php/Siril
-Build-Depends: autotools-dev,
-               intltool,
-               debhelper (>= 9),
-               dh-autoreconf,
+Build-Depends: intltool,
+               debhelper (>= 11),
                libcfitsio-dev,
                libconfig++-dev,
                libffms2-dev,

## siril 0.9.8.3

=== debian/changelog ===
siril (0.9.8.3-1) unstable; urgency=medium

  * New upstream release

 -- Cyril Richard <lock042@gmail.com>  Mon, 19 Feb 2018 15:42:48 +0100

=== debian/control ===
--- 
+++ 
@@ -11,6 +11,7 @@
                debhelper (>= 11),
                libcfitsio-dev,
                libconfig++-dev,
+               libcurl4-gnutls-dev,
                libffms2-dev,
                libfftw3-dev,
                libgsl-dev,

=== debian/rules ===
#!/usr/bin/make -f

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

override_dh_installchangelogs:
	dh_installchangelogs

override_dh_autoreconf:
	intltoolize -f -c
	autoreconf -fi -Wno-portability

## siril 0.9.9

=== debian/changelog ===
siril (0.9.9-1build2) disco; urgency=medium

  * No-change rebuild against latest libraw

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Nov 2018 16:38:15 -0500

siril (0.9.9-1build1) cosmic; urgency=medium

  * No-change rebuild for ffmpeg soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Jul 2018 08:49:02 +0000

siril (0.9.9-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 07 Jun 2018 09:38:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://free-astro.org/index.php/Siril

## siril 0.9.10

=== debian/changelog ===
siril (0.9.10-2) unstable; urgency=medium

  * Fixed debian/watch file

 -- Cyril Richard <lock042@gmail.com>  Fri, 18 Jan 2019 11:42:39 +0100

siril (0.9.10-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Wed, 16 Jan 2019 10:01:29 +0100

siril (0.9.9-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.28. (Closes: #913854)

 -- Adrian Bunk <bunk@debian.org>  Mon, 17 Dec 2018 16:58:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
-Homepage: https://free-astro.org/index.php/Siril
+Homepage: https://www.siril.org
 Build-Depends: intltool,
-               debhelper (>= 11),
+               debhelper (>= 12),
                libcfitsio-dev,
                libconfig++-dev,
                libcurl4-gnutls-dev,
@@ -19,7 +19,7 @@
                libopencv-dev,
                libpng-dev,
                libraw-dev,
-               libtiff5-dev,
+               libtiff-dev,
                libavformat-dev,
                libavutil-dev,
                libavcodec-dev,

## siril 0.9.11

=== debian/changelog ===
siril (0.9.11-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Mon, 27 May 2019 13:35:16 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.3.0
+Standards-Version: 4.3.0.3
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/<project>.*\.tar\.gz/<project>-$1\.tar\.gz/g \
  https://gitlab.com/free-astro/siril/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## siril 0.9.12

=== kplot/Makefile ===
.SUFFIXES: .3 .3.html

CFLAGS		?= -g -W -Wall -Wstrict-prototypes -Wno-unused-parameter -Wwrite-strings
#If you're on Mac OSX without XQuarts, you'll need /usr/X11 instead of /opt/X11!
CPPFLAGS	+= `pkg-config --cflags --silence-errors cairo || echo '-I/opt/X11/include/cairo'`
VERSION		= 0.1.14
LDADD		= `pkg-config --libs --silence-errors cairo || echo '-L/opt/X11/lib -lcairo'`
#If you're on GNU/Linux, you'll need to uncomment this.
LDADD		+= `pkg-config --libs libbsd`
VERSIONS	= version_0_1_4.xml \
		  version_0_1_5.xml \
		  version_0_1_6.xml \
		  version_0_1_7.xml \
		  version_0_1_8.xml \
		  version_0_1_9.xml \
		  version_0_1_10.xml \
		  version_0_1_11.xml \
		  version_0_1_12.xml \
		  version_0_1_13.xml \
		  version_0_1_14.xml
EXAMPLES	= example0 \
		  example1 \
		  example2 \
		  example3 \
		  example4 \
		  example5 \
		  example6 \
		  example7 \
		  example8 \
		  example9 \
		  example10 \
		  example11 \
		  example12
PNGS		= example0.png \
		  example1.png \
		  example2.png \
		  example3.png \
		  example4.png \
		  example5.png \
		  example6.png \
		  example7.png \
		  example8.png \
		  example9.png \
		  example10.png \
		  example11.png \
		  example12.png
SRCS		= Makefile \
		  compat.post.h \
		  compat.pre.h \
		  compat.sh \
		  colours.c \
		  extern.h \
		  kplot.h \
		  array.c \
		  border.c \
		  bucket.c \
		  buffer.c \
		  draw.c \
		  example0.c \
		  example1.c \
		  example2.c \
		  example3.c \
		  example4.c \
		  example5.c \
		  example6.c \
		  example7.c \
		  example8.c \
		  example9.c \
		  example10.c \
		  example11.c \
		  example12.c \
		  grid.c \
		  hist.c \
		  label.c \
		  kdata.c \
		  kplot.c \
		  margin.c \
		  mean.c \
		  plotctx.c \
		  reallocarray.c \
		  stddev.c \
		  test-reallocarray.c \
		  tic.c \
		  vector.c
OBJS		= array.o \
		  border.o \
		  bucket.o \
		  buffer.o \
		  colours.o \
		  draw.o \
		  grid.o \
		  hist.o \
		  label.o \
		  kdata.o \
		  kplot.o \
		  margin.o \
		  mean.o \
		  plotctx.o \
		  reallocarray.o \
		  stddev.o \
		  tic.o \
		  vector.o
PREFIX		= /usr
HTMLS		= index.html \
		  man/kdata_array_alloc.3.html \
		  man/kdata_array_fill.3.html \
		  man/kdata_bucket_alloc.3.html \
		  man/kdata_bucket_add.3.html \
		  man/kdata_buffer_alloc.3.html \
		  man/kdata_buffer_copy.3.html \
		  man/kdata_destroy.3.html \
		  man/kdata_get.3.html \
		  man/kdata_hist_alloc.3.html \
		  man/kdata_hist_add.3.html \
		  man/kdata_mean_alloc.3.html \
		  man/kdata_mean_attach.3.html \
		  man/kdata_pmfmean.3.html \
		  man/kdata_pmfstddev.3.html \
		  man/kdata_pmfvar.3.html \
		  man/kdata_stddev_alloc.3.html \
		  man/kdata_stddev_attach.3.html \
		  man/kdata_vector_append.3.html \
		  man/kdata_vector_alloc.3.html \
		  man/kdata_xmax.3.html \
		  man/kdata_xmean.3.html \
		  man/kdata_xmin.3.html \
		  man/kdata_xstddev.3.html \
		  man/kdatacfg_defaults.3.html \
		  man/kplot.3.html \
		  man/kplot_alloc.3.html \
		  man/kplot_attach_data.3.html \
		  man/kplot_attach_datas.3.html \
		  man/kplot_attach_smooth.3.html \
		  man/kplot_detach.3.html \
		  man/kplot_draw.3.html \
		  man/kplot_free.3.html \
		  man/kplot_get_datacfg.3.html \
		  man/kplot_get_plotcfg.3.html \
	 	  man/kplotcfg_defaults.3.html
MANS		= man/kdata_array_alloc.3 \
		  man/kdata_array_fill.3 \
		  man/kdata_bucket_alloc.3 \
		  man/kdata_bucket_add.3 \
		  man/kdata_buffer_alloc.3 \
		  man/kdata_buffer_copy.3 \
		  man/kdata_destroy.3 \
		  man/kdata_get.3 \
		  man/kdata_hist_alloc.3 \
		  man/kdata_hist_add.3 \
		  man/kdata_mean_alloc.3 \
		  man/kdata_mean_attach.3 \
		  man/kdata_pmfmean.3 \
		  man/kdata_pmfstddev.3 \
		  man/kdata_pmfvar.3 \
		  man/kdata_stddev_alloc.3 \
		  man/kdata_stddev_attach.3 \
		  man/kdata_vector_append.3 \
		  man/kdata_vector_alloc.3 \
		  man/kdata_xmax.3 \
		  man/kdata_xmean.3 \
		  man/kdata_xmin.3 \
		  man/kdata_xstddev.3 \
		  man/kdatacfg_defaults.3 \
		  man/kplot.3 \
		  man/kplot_alloc.3 \
		  man/kplot_attach_data.3 \
		  man/kplot_attach_datas.3 \
		  man/kplot_attach_smooth.3 \
		  man/kplot_detach.3 \
		  man/kplot_draw.3 \
		  man/kplot_free.3 \
		  man/kplot_get_datacfg.3 \
		  man/kplot_get_plotcfg.3 \
	 	  man/kplotcfg_defaults.3

all: libkplot.a

install: all

uninstall: ;

www: $(HTMLS) $(PNGS) kplot.tgz kplot.tgz.sha512

installwww: www
	mkdir -p $(PREFIX)
	mkdir -p $(PREFIX)/snapshots
	install -m 0444 $(PNGS) $(HTMLS) index.css $(PREFIX)
	install -m 0444 kplot.tgz $(PREFIX)/snapshots/kplot-$(VERSION).tgz
	install -m 0444 kplot.tgz.sha512 $(PREFIX)/snapshots/kplot-$(VERSION).tgz.sha512
	install -m 0444 kplot.tgz $(PREFIX)/snapshots
	install -m 0444 kplot.tgz.sha512 $(PREFIX)/snapshots

$(EXAMPLES): libkplot.a

EXAMPLE_LIBS = libkplot.a $(LDADD) -lm 

example0: example0.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example1: example1.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example2: example2.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example3: example3.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example4: example4.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example5: example5.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example6: example6.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example7: example7.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example8: example8.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example9: example9.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example10: example10.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example11: example11.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example12: example12.c libkplot.a
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $< $(EXAMPLE_LIBS)

example0.png: example0
	./example0

example1.png: example1
	./example1

example2.png: example2
	./example2

example3.png: example3
	./example3

example4.png: example4
	./example4

example5.png: example5
	./example5

example6.png: example6
	./example6

example7.png: example7
	./example7

example8.png: example8
	./example8

example9.png: example9
	./example9

example10.png: example10
	./example10

example11.png: example11
	./example11

example12.png: example12
	./example12

libkplot.a: $(OBJS)
	$(AR) rs $@ $(OBJS)

$(OBJS): kplot.h compat.h extern.h

compat.h: compat.pre.h compat.post.h
	( cat compat.pre.h ; \
	  CC="$(CC)" CFLAGS="$(CFLAGS)" sh compat.sh reallocarray ; \
	  cat compat.post.h ; ) >$@

.3.3.html:
	mandoc -Thtml -Oman=%N.%S.html $< >$@

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ -c $<

index.html: index.xml $(VERSIONS)
	sblg -t index.xml -o- $(VERSIONS) | sed "s!@VERSION@!$(VERSION)!g" >$@

kplot.tgz.sha512: kplot.tgz
	openssl dgst -sha512 kplot.tgz >$@

kplot.tgz:
	mkdir -p .dist/kplot-$(VERSION)
	mkdir -p .dist/kplot-$(VERSION)/man
	cp $(SRCS) .dist/kplot-$(VERSION)
	cp $(MANS) .dist/kplot-$(VERSION)/man
	(cd .dist && tar zcf ../$@ kplot-$(VERSION))
	rm -rf .dist

clean distclean:
	rm -f libkplot.a compat.h test-reallocarray 
	rm -f $(EXAMPLES)
	rm -rf *.dSYM
	rm -f $(OBJS)
	rm -f $(HTMLS) $(PNGS)
	rm -f kplot.tgz kplot.tgz.sha512

=== debian/changelog ===
siril (0.9.12-3) unstable; urgency=medium

  * Fix the build issue with gcc-10. Closes: #957805

 -- Cyril Richard <lock042@gmail.com>  Thu, 30 Jul 2020 21:54:18 +0200

siril (0.9.12-2) unstable; urgency=medium

  * Added "Replaces" and "Breaks" fields that was missing. Closes: #944484

 -- Cyril Richard <lock042@gmail.com>  Sun, 10 Nov 2019 23:23:24 +0100

siril (0.9.12-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Mon, 04 Nov 2019 11:03:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.3.0.3
+Standards-Version: 4.4.1
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
+Rules-Requires-Root: no
 Build-Depends: intltool,
-               debhelper (>= 12),
+               debhelper-compat (= 12),
                libcfitsio-dev,
                libconfig++-dev,
                libcurl4-gnutls-dev,
@@ -28,7 +29,10 @@
 
 Package: siril
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, librsvg2-2
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+         siril-common (= ${source:Version}),
+         librsvg2-2
 Suggests: gnuplot
 Description: astronomical image processing tool
  Siril is an image processing tool specially tailored for noise reduction and
@@ -36,3 +40,19 @@
  required in astronomy. Siril can align automatically or manually, stack and
  enhance pictures from various file formats, even images sequences (movies and
  SER files).
+
+Package: siril-common
+Architecture: all
+Depends: ${misc:Depends}
+Replaces: siril (<< 0.9.12)
+Breaks: siril (<< 0.9.12)
+Multi-Arch: foreign
+Description: architecture-independent files for siril
+ Siril is an image processing tool specially tailored for noise reduction and
+ improving the signal/noise ratio of an image from multiple captures, as
+ required in astronomy. Siril can align automatically or manually, stack and
+ enhance pictures from various file formats, even images sequences (movies and
+ SER files).
+ .
+ This package provides the architecture-independent files (Siril scripts
+ and other files).

## siril 0.99.4

=== meson_options.txt ===
# Build properties
option('relocatable-bundle', type: 'combo', value: 'platform-default',
                             description: 'build with resources considered bundled under the same prefix',
                             choices: [ 'yes', 'no', 'platform-default' ])
option('openmp', type : 'boolean', value : true,
                 description: 'build with OpenMP support')

=== debian/changelog ===
siril (0.99.4-2) unstable; urgency=medium

  * Add a new patch to reduce test runtime

 -- Cyril Richard <lock042@gmail.com>  Tue, 25 Aug 2020 13:30:24 +0200

siril (0.99.4-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Sun, 23 Aug 2020 21:45:26 +0200

## siril 0.99.6

=== debian/changelog ===
siril (0.99.6-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 24 Sep 2020 08:13:59 +0200

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,20 @@
 Uploaders: Vincent Hourdin <debian-siril@free-astro.vinvin.tf>, Cyril Richard <lock042@gmail.com>
 Section: science
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0.2
 Vcs-Git: https://salsa.debian.org/debian-astro-team/siril.git
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/siril
 Homepage: https://www.siril.org
 Rules-Requires-Root: no
-Build-Depends: intltool,
-               debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               intltool,
+               meson (>= 0.51),
+               git,
+               cmake,
                libcfitsio-dev,
                libconfig++-dev,
                libcurl4-gnutls-dev,
+               libexiv2-dev,
                libffms2-dev,
                libfftw3-dev,
                libgsl-dev,
@@ -25,7 +29,8 @@
                libavutil-dev,
                libavcodec-dev,
                libswscale-dev,
-               libswresample-dev
+               libswresample-dev,
+               libheif-dev
 
 Package: siril
 Architecture: any

## siril 0.99.8

=== debian/changelog ===
siril (0.99.8-1) unstable; urgency=medium

  * New upstream version

 -- Cyril Richard <lock042@gmail.com>  Thu, 11 Feb 2021 09:43:40 +0100
